import os

def application(req_environ, start_response):

    # Work around having no access to Apache SetEnv variables:
    for k in ['SECRET_KEY', 'DATA_DIR', 'TMP_DIR', 'MAX_LENGTH', 'KBITS']:
        if k in req_environ:
            os.environ[k] = req_environ[k]

    from prolefeeder import app as _application
    return _application(req_environ, start_response)
